Segments

List website segments and cohorts

GET/api/websites/{websiteId}/segments

Returns saved segments or cohorts for the website, filtered by the requested type and search text.

Headers

NameTypeDescription
AuthorizationrequiredstringAuthentication credentials, e.g. Bearer <token>.

Path parameters

NameTypeDescription
websiteIdrequiredstringID of the website.

Query parameters

NameTypeDescription
typerequiredenum<string>Type of resource or analytics dimension to return.
Options: segment, cohort
searchstringSearch text used to filter results.

Responses

200The operation completed successfully.
NameTypeDescription
countrequirednumberNumber of matching records.
datarequiredobject[]Data returned by the operation.
isCappedbooleanWhether the results were truncated by the maximum result limit.
orderBystringField to sort the results by.
pagerequirednumberPage number, starting at 1.
pageSizerequirednumberNumber of results per page.
searchstringSearch text used to filter results.
sortDescendingbooleanWhether to sort results in descending order.
200 example
400Bad request.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
400 example
401Unauthorized.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
401 example

Code samples

cURL